> ## Documentation Index
> Fetch the complete documentation index at: https://docs.thena.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# update the configuration for installations



## OpenAPI

````yaml post /apps/update-config
openapi: 3.0.0
info:
  title: THENA APPS STUDIO
  description: >-
    Thena apps studio is a comprehensive API suite designed to facilitate the
    creation and management of apps.
  version: '1.0'
  contact: {}
servers:
  - url: https://apps-studio.thena.ai
security: []
tags: []
paths:
  /apps/update-config:
    post:
      tags:
        - App Installation
      summary: update the configuration for installations
      operationId: updateInstallationConfig
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateInstallationConfigDto'
      responses:
        '201':
          description: Operation successful
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UpdateInstallationConfigResponseDto'
        '401':
          description: User is not authenticated!
        '403':
          description: User does not have access to this resource!
        '404':
          description: Resource not found!
        '429':
          description: Too many requests!
        '500':
          description: Something went wrong!
        '503':
          description: This service/resource is currently unavailable.
      security:
        - x-api-key: []
components:
  schemas:
    UpdateInstallationConfigDto:
      type: object
      properties:
        installationId:
          type: string
          description: The ID of the installation to update
        configuration:
          description: the config value that needs to be updated
          allOf:
            - $ref: '#/components/schemas/AppInstallationConfiguration'
      required:
        - installationId
        - configuration
    UpdateInstallationConfigResponseDto:
      type: object
      properties:
        installationId:
          type: string
          description: The ID of the installation to update
        configuration:
          type: object
          description: the config value that was updated
      required:
        - installationId
        - configuration
    AppInstallationConfiguration:
      type: object
      properties:
        required_settings:
          example:
            - check the app manifest for required_settings schema
          description: >-
            Required configuration settings that must be provided for the app
            installation
          type: array
          items:
            type: object
        optional_settings:
          example:
            - check the app manifest for optional_settings schema
          description: Optional configuration settings for the app installation
          type: array
          items:
            type: object
      required:
        - required_settings
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key

````